This week's book giveaways are in the Refactoring and Agile forums.
We're giving away four copies each of Re-engineering Legacy Software and Docker in Action and have the authors on-line!
See this thread and this one for details.
Win a copy of Re-engineering Legacy Software this week in the Refactoring forum
or Docker in Action in the Cloud/Virtualization forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Tomcat Server : Error filterStart

 
kasi pandian
Greenhorn
Posts: 12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Friends
My application is working in my old machine. Then I tried to configure the same applicatio in new machine I'm getting the following errors when I deployed in tomcat server.

Mar 30, 2008 6:48:19 PM org.apache.catalina.core.StandardContext start
SEVERE: Error filterStart
Mar 30, 2008 6:48:19 PM org.apache.catalina.core.StandardContext start
SEVERE: Context startup failed due to previous errors.

But my aplication still working in old machine. And the new machine also has the same configuration of old machine.
Java version 1.4.,Tomcat 5.0, Struts 1.1, Spring 2.0, DB2 8.2
And my filter configuration in Web.xml
<filter>
<filter-name>FormLoginFilter</filter-name>
<filter-class>
com.anfcorp.vendorpayment.authentication.FormLoginFilter
</filter-class>
</filter>
<filter-mapping>
<filter-name>FormLoginFilter</filter-name>
<url-pattern>/j_security_check</url-pattern>
</filter-mapping>
Could you help me out to solve this problem. I'm not able to find out the error, because the same file working fine in my old machine.
Thank you.

Regards
Kasipandian.R
 
Ulf Dittmer
Rancher
Pie
Posts: 42967
73
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
My impression was that Tomcat doesn't support filtering j_security_check.
 
kasi pandian
Greenhorn
Posts: 12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
j_security_check is working in my old machine. And I'm using Tomcat server only in my old machine.
 
kasi pandian
Greenhorn
Posts: 12
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I found the solution. In my eclipse is showing the version jdk1.5 and tomcate jdk version is 1.4. I configured the same version. Now It worked.
Regards
Kasi
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic